package com.liquidnet.service.account.wallet.mapper;

import com.liquidnet.service.account.wallet.entity.FinWallet;
import com.liquidnet.service.account.wallet.entity.FinWalletExample;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

public interface FinWalletMapper {
    int countByExample(FinWalletExample example);

    int insert(FinWallet record);

    int insertSelective(FinWallet record);

    List<FinWallet> selectByExample(FinWalletExample example);

    FinWallet selectByPrimaryKey(String walletNo);

    int updateByExampleSelective(@Param("record") FinWallet record, @Param("example") FinWalletExample example);

    int updateByExample(@Param("record") FinWallet record, @Param("example") FinWalletExample example);

    int updateByPrimaryKeySelective(FinWallet record);

    int updateByPrimaryKey(FinWallet record);


    Long generateSeqNo(String sequenceName);

    List<FinWallet> select(@Param("parameter") Map<String, Object> parameter);

//    List<FinWallet> selectByWalletNoAndAliasAndCurrencyForFuzzy(@Param("fuzzySearch") String fuzzySearch, @Param("finId") String finId);
}
